Subject: [bug#33575] [PATCH] guix: lint: Add checker to check if inputs are sorted.

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Tue, 04 Dec 2018 10:13:14 +0100

Ludo', Arun,

Ludovic Courtès wrote:
>> +  ;; Emit a warning if inputs, native inputs or propagated 
>> inputs
>> of PACKAGE
>> +  ;; are not lexicographically ordered.
>
> It's something we rarely do so we'd get warnings for most
> packages.  As
> a side effect, people may pay less attention to what ‘guix lint’
> says.

Even I agree :-)  There are valid reasons not to sort them.

> As for the goal itself, I think sorting is a good idea when
> there are
> lots of inputs (things like IceCat), but otherwise I personally
> don't
> think it matters that much.

Do we already check for duplication?

I sometimes order inputs for the same reason I sort module 
imports: to catch duplicates.  These are usually harmless and 
produce no errors.

Kind regards,

T G-R